/*
    Copyright 2004,2005,2006 Luigi Auriemma

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

    http://www.gnu.org/licenses/gpl.txt

*/

#include <stdio.h>
#include <stdlib.h>



#define VER     "0.1"



void internet_neigh_pwd(char *pwd);



int main(int argc, char *argv[]) {
    setbuf(stdout, NULL);

    fputs("\n"
        "Internet Neighborhood password decoder "VER"\n"
        "by Luigi Auriemma\n"
        "e-mail: aluigi@autistici.org\n"
        "web:    aluigi.org\n"
        "\n", stdout);

    if(argc < 2) {
        printf("\nUsage: %s <password>\n"
            "\n"
            "Passwords are stored in the registry:\n"
            "  HKEY_CURRENT_USER\\Software\\KnoWare\\Internet Neighborhood\\FTP-Sites\\ACCOUNT\n"
            "where ACCOUNT is an available account\n"
            "Remember to skip the first char of the password!\n"
            "\n", argv[0]);
        exit(1);
    }

    internet_neigh_pwd(argv[1]);
    printf("\nPassword:   %s\n", argv[1]);
    return(0);
}



void internet_neigh_pwd(char *pwd) {
    while(*pwd) *pwd++ ^= 0x27;
}

